Previous Thread
Next Thread
Print Thread
Page 2 of 2 1 2
MAMEBase #117866 09/17/20 02:40 AM
Joined: Feb 2004
Posts: 2,258
Likes: 9
Very Senior Member
Online Content
Very Senior Member
Joined: Feb 2004
Posts: 2,258
Likes: 9
That warning is disabled on mainline clang correctly, but note there is a TODO here: https://github.com/mamedev/mame/blob/mame0224/scripts/genie.lua#L1085

Apple makes life hard by fucking with clang version numbers. It needs to detect whatever Apple clang version corresponds to clang 10 as well.

MAMEBase #117868 09/17/20 01:44 PM
Joined: Mar 2001
Posts: 16,784
Likes: 32
R
Very Senior Member
Offline
Very Senior Member
R
Joined: Mar 2001
Posts: 16,784
Likes: 32
What Xcode version is this, though? MAME is fine as-is on the 12.0 Xcode release from yesterday.

We are not yet prepared to support compiling MAME on ARM Macs, if that's what's going on.

MAMEBase #117871 09/17/20 09:36 PM
Joined: Sep 2000
Posts: 463
Likes: 1
M
Senior Member
OP Offline
Senior Member
M
Joined: Sep 2000
Posts: 463
Likes: 1
Just tried compiling, without NOWERROR=1, with Xcode 12.0, and got the same error.

About to try again with NOWERROR=1...

Stand by...

[Time Passes...]

Success!

MAME 0.224, 8/26/20, newly uncompressed source
Xcode 12.0 (9/17/20)
MacOS 10.15.6
iMac (Retina 5K, 27-inch, 2019)
3.1 GHz 6-Core Intel Core i5
Radeon Pro 575X 4 GB


The following statement is true...
The preceding statement is false.
Page 2 of 2 1 2

Moderated by  R. Belmont 

Link Copied to Clipboard
Who's Online Now
2 members (judge, 1 invisible), 51 guests, and 3 robots.
Key: Admin, Global Mod, Mod
ShoutChat
Comment Guidelines: Do post respectful and insightful comments. Don't flame, hate, spam.
Forum Statistics
Forums9
Topics8,957
Posts117,735
Members4,994
Most Online890
Jan 17th, 2020
Forum Host
These forums are hosted by www.retrogamesformac.com
Forum hosted by www.retrogamesformac.com